﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication524
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            CustomFormatProvider customProvider = new CustomFormatProvider();
            foreach (UltraGridBand band in ultraGrid1.DisplayLayout.Bands)
                foreach (UltraGridColumn column in band.Columns)
                    e.Layout.Bands[0].Columns[0].FormatInfo = customProvider;
        }
    }

    public class CustomFormatProvider : IFormatProvider, ICustomFormatter
    {
        public object GetFormat(Type formatType)
        {
            if (formatType == typeof(ICustomFormatter))
                return this;
            else
                return null;
        }

        public string Format(string format, object arg, IFormatProvider formatProvider)
        {
            try
            {
                if (((decimal)arg).ToString() == "0")
                    return ((decimal)arg).ToString(" "); 
                else
                    return arg.ToString();
            }
            catch (Exception ex)
            {
                return ex.Message;
            }
        }
    }
}
